Index: src/x11/run.cxx
===================================================================
--- src/x11/run.cxx	(revisão 6837)
+++ src/x11/run.cxx	(cópia de trabalho)
@@ -2064,7 +2064,13 @@
       // we do not compare to sw/sh here because I think it may mess up
       // some virtual desktop implementations
     }
-    root = RootWindow(xdisplay, xscreen);
+    // If menus don't have a parent window, the window manager will think
+    // it's a top level window and will animate it.
+    if (window->child_of()) {
+      root = window->child_of()->i->xid;
+      X -= window->child_of()->x();
+      Y -= window->child_of()->y();
+    } else root = RootWindow(xdisplay, xscreen);
     attr.event_mask =
       ExposureMask | StructureNotifyMask
       | KeyPressMask | KeyReleaseMask | KeymapStateMask | FocusChangeMask
